Saltar al contenido

List std verbiage rows

Módulo Canon

GET/canon/std/verbiagecanonStdVerbiage.list

A controlled vocabulary term. Standard Library row, copied into each new org as editable org data. Returns a cursor page of std verbiage rows the caller may see. The default order is `record_id` ascending. Supports sparse fieldsets and the filter grammar.

  • Requiere la capacidad canon.taxonomy.read.
  • Alcances de OAuth: canon.
  • Paginación por cursor: se aplican limit, cursor, fields, sort y filter.
  • Estados de error: 400, 401, 429. Los errores son detalles de problema RFC 9457.

Parámetros de ruta y de consulta

canonStdVerbiage.list: Parámetros de ruta y de consulta
CampoTipoObligatorioDescripción
limitLimitNoPage size. Default 50, maximum 200.Restricciones: range 1 to 200
cursorCursorNoOpaque cursor from `next_cursor` of the previous page.Restricciones: length 1 to any
fieldsFieldsNoSparse fieldset: a comma-separated list of top-level fields to return. `id` is always returned.Restricciones: pattern ^[a-z_][a-z0-9_]*(,[a-z_][a-z0-9_]*)*$
sortSortNoSort keys, comma-separated; a leading `-` sorts descending. Without `sort`, the documented default order applies (coded lists sort in numeric code order).Restricciones: pattern ^-?[a-z_][a-z0-9_]*(,-?[a-z_][a-z0-9_]*)*$
filterFilterNoFilter grammar `filter[field][op]=value`. Operators: eq, ne, lt, lte, gt, gte, in (comma-separated values), is_null (true or false) and contains. Conditions combine with AND.

Respuesta 200: una página de StdVerbiage

canonStdVerbiage.list: StdVerbiage
CampoTipoObligatorioDescripción
record_idStdCodeSíNatural code of a Standard Library row (Section 2.1).Restricciones: pattern ^[A-Za-z0-9][A-Za-z0-9._-]{0,63}$
verbiagestring | nullSíTerm.Restricciones: length 1 to 200
titlestring | nullSíTitle.Restricciones: length 1 to 500
bodystring | nullSíText.Restricciones: length 1 to 20000
descriptionstring | nullSíWhen the text is used.Restricciones: length 1 to 20000
departmentstring | nullSíDepartment as the sheet names it.Restricciones: length 1 to 200
categorystring | nullSíCategory code or name as the sheet gives it.Restricciones: length 1 to 200
sub_categorystring | nullSíSub-category as the sheet names it.Restricciones: length 1 to 200
statusstring | nullSíRow status in the sheet.Restricciones: length 1 to 200
notesstring | nullSíNotes in the sheet.Restricciones: length 1 to 20000
{
  "data": [
    {
      "record_id": "SOP-001",
      "verbiage": "Load-In",
      "title": "Load-In Announcement",
      "body": "All crew to the loading dock.",
      "description": "Read at the start of load-in.",
      "department": "5000 Production",
      "category": "5000.05.02",
      "sub_category": "Overhead Rigging",
      "status": "Active",
      "notes": "Primary life safety and incident response"
    }
  ],
  "next_cursor": null
}

Ejemplos de código

curl -X GET "$XOS_BASE_URL/canon/std/verbiage" \
  -H "Authorization: Bearer $XOS_API_KEY"
for await (const row of xos.canonStdVerbiage.listAll()) {
  console.log(row);
}
for row in xos.canon_std_verbiage.list_all():
    print(row)
xos canon-std-verbiage list --all